# we need to take this sample out to avoid the deps missing warning
%global	__requires_exclude pear\\(/path/to/user-login-and-permission-lib.php\\)|pear\\(/etc/php-xcache/config.php\\)
%define modname xcache
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 99_%{modname}.ini

Summary:	The XCache module for PHP
Name:		php-%{modname}
Version:	3.2.0
Release:	%mkrel 3
Group:		Development/PHP
License:	BSD-like
URL:		http://xcache.lighttpd.net/
Source0:	http://xcache.lighttpd.net/pub/Releases/%{version}/%{modname}-%{version}.tar.gz
Source1:	xcache.ini
Patch0:		xcache-3.1.0-config.diff
BuildRequires:  php-devel >= 3:5.2.0

%description
XCache is a fast, stable PHP opcode cacher that has been tested and is now
running on production servers under high load. It overcomes a lot of problems
that has been with other competing opcachers such as being able to be used with
new PHP versions.

%package	admin
Summary:	Web admin GUI for XCache
Group:		Development/PHP
Requires:	apache-mod_php
Requires:	%{name}

%description	admin
This package contains a Web admin GUI for XCache.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p1

cp %{SOURCE1} %{inifile}
perl -pi -e "s|\@libdir\@|%{_libdir}|g" %{inifile}

%build
%serverbuild

phpize

%configure2_5x \
    --enable-%{modname} \
    --enable-xcache-constant \
    --enable-xcache-optimizer \
    --enable-xcache-coverager \
    --enable-xcache-assembler \
    --enable-xcache-disassembler \
    --enable-xcache-encoder \
    --enable-xcache-decoder \
    --enable-xcache-test \
    --enable-xcache-dprint

%make

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/%{soname}

install -d -m 755 %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_datadir}/%{name}

<Directory "%{_datadir}/%{name}">
%if %{mgaversion} < 3
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
%endif
%if %{mgaversion} >= 3
    Require local granted
%endif
    ErrorDocument 403 "Access denied per %{webappconfdir}/%{name}.conf"
</Directory>
EOF


cp -rP htdocs/* %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_sysconfdir}/%{name}/cacher
install -d %{buildroot}%{_sysconfdir}/%{name}/coverager
mv %{buildroot}%{_datadir}/%{name}/config.example.php \
   %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/cacher/config.example.php \
   %{buildroot}%{_sysconfdir}/%{name}/cacher
mv %{buildroot}%{_datadir}/%{name}/coverager/config.example.php \
   %{buildroot}%{_sysconfdir}/%{name}/coverager

%files
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%files admin
%attr(0644,root,root) %config(noreplace) %{webappconfdir}/%{name}.conf
%{_datadir}/%{name}
%{_sysconfdir}/%{name}


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 3.2.0-3.mga6
+ Revision: 958499
- Mageia 6 Mass Rebuild

* Tue Apr 28 2015 luigiwalser <luigiwalser> 3.2.0-2.mga5
+ Revision: 820815
- remove conflicts:
  - php-afterburner, php-mmcache, php-eaccelerator do not exist
  - should not conflict with php-apc (php-apcu does not cache opcodes)
  - php-opcache already conflicts with php-xcache, conflict here is redundant

* Wed Dec 31 2014 umeabot <umeabot> 3.2.0-1.mga5
+ Revision: 807675
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + oden <oden>
    - rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 3.1.0-5.mga4
+ Revision: 567615
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 3.1.0-4.mga4
+ Revision: 558472
- rebuilt for php-5.5.7

* Sat Nov 23 2013 oden <oden> 3.1.0-3.mga4
+ Revision: 552482
- rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-2.mga4
+ Revision: 540981
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 oden <oden> 3.1.0-1.mga4
+ Revision: 494777
- 3.1.0

* Tue Aug 13 2013 oden <oden> 3.1.0-0.0.svn1343.1.mga4
+ Revision: 466202
- new svn snap 1343
- fix deps

* Thu Jun 13 2013 oden <oden> 3.1.0-0.0.svn1264.1.mga4
+ Revision: 442528
- 3.1.0 (svn snap 1264)
- sync a bit with php-xcache-3.1.0-0.1.svn1234.fc20.src.rpm
- 3.0.2
- make it also conflict with php-opcache

* Tue Feb 12 2013 oden <oden> 3.0.1-1.mga3
+ Revision: 398107
- rebuilt for php-5.4.11
- 3.0.1

* Sat Dec 29 2012 oden <oden> 3.0.0-2.mga3
+ Revision: 336096
- apapt the apache config

* Thu Nov 01 2012 oden <oden> 3.0.0-1.mga3
+ Revision: 312049
- 3.0.0
- relocate the html cruft to %%_datadir

* Sat Aug 18 2012 spuhler <spuhler> 2.0.1-2.mga3
+ Revision: 281946
- added %%define _requires_exceptions to avoid this sample path to be reported as missing

* Fri Jul 27 2012 spuhler <spuhler> 2.0.1-1.mga3
+ Revision: 274861
- upgrade to 2.0.1
  replaced %%{_sysconfdir}/httpd/conf/webapps.d/%%{name}.conf %%config(noreplace)
  with %%{webappconfdir}/%%{name}.conf

* Wed Apr 04 2012 luigiwalser <luigiwalser> 1.3.2-2.mga2
+ Revision: 228529
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 1.3.2-1.mga2
+ Revision: 199813
- upgrade to 1.3.2

* Mon Feb 07 2011 spuhler <spuhler> 1.3.0-10.mga1
+ Revision: 48324
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-xcache


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-10mdv2011.0
+ Revision: 629899
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-9mdv2011.0
+ Revision: 628208
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-8mdv2011.0
+ Revision: 600548
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-7mdv2011.0
+ Revision: 588885
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-6mdv2010.1
+ Revision: 514716
- rebuilt for php-5.3.2

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-5mdv2010.1
+ Revision: 501751
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-4mdv2010.1
+ Revision: 485500
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdv2010.1
+ Revision: 468271
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2010.0
+ Revision: 451374
- rebuild

* Tue Aug 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdv2010.0
+ Revision: 409238
- 1.3.0

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.0.0-0.0.r592.2mdv2010.0
+ Revision: 397295
- Rebuild

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.0.r592.1mdv2010.0
+ Revision: 377675
- 2.0.0 (svn snap 592)
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-5mdv2009.1
+ Revision: 346705
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdv2009.1
+ Revision: 341847
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-3mdv2009.1
+ Revision: 323136
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2009.1
+ Revision: 310319
- rebuilt against php-5.2.7

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdv2009.0
+ Revision: 288586
- import php-xcache


* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-1mdv2009.0
- initial Mandriva package
